function scrollTo(select) {	
	if (jQuery(select).length > 0) {
	    jQuery('html, body').animate({
	        scrollTop: jQuery(select).offset().top-25
	        }, 500);
	}
}

$(window).scroll(function() {
	$(".paralax-container").each(function() {
		var paralax = $(this);
		paralax.css("margin-top", Math.round($(this).scrollTop()/1.5)+"px");
		paralax.height(paralax.height-$(this).scrollTop()+"px");

	});
});

function toBootstrap (item) {
	var mainItem = jQuery(item);
	mainItem.find("button").each(function() {
		jQuery(this).addClass("btn btn-default");
	});
}

if (typeof jQuery.daterangepicker !== 'undefined' && $.isFunction(jQuery.daterangepicker)) {
	jQuery(window).load(function() {	
		jQuery('.daterange').daterangepicker({
			format: 'DD/MM/YYYY',
			 showDropdowns: true,
		     showWeekNumbers: true
		});		
	});
}

jQuery(window).on('resize', function() {
	modalImageHeight();
});

function modalImageHeightItem(img) {
	$(img).css('max-height', $(window).height()-10);
	$(img).parent().css('height', $(window).height()-10);
}

function modalImageHeight() {	
	jQuery(".modal-full img").each(function() {
		modalImageHeightItem($(this));			
	});
	jQuery(".modal-lg img").each(function() {
		var modal = $(this).parent().parent().parent().parent().parent();
		if (modal.hasClass('in')) {
			var modalTop=65;
			var height = $(window).height()-modal.find('.caption').outerHeight()-modal.find('.modal-header').outerHeight()-modalTop-75-15;		
			$(this).css('max-height', height);
		} else {
			$(this).css('max-height', "none");
		}
		$(this).parent().css('height', "auto");
	});	
}

function askFullscreen() {
	var elem = document.getElementsByTagName("body")[0];
	if (elem.requestFullscreen) {
	  elem.requestFullscreen();
	} else if (elem.msRequestFullscreen) {
	  elem.msRequestFullscreen();
	} else if (elem.mozRequestFullScreen) {
	  elem.mozRequestFullScreen();
	} else if (elem.webkitRequestFullscreen) {
	  elem.webkitRequestFullscreen();
	}
}

function cancelFullScreen() {
	if (document.cancelFullScreen) {  
      document.cancelFullScreen();  
    } else if (document.mozCancelFullScreen) {  
      document.mozCancelFullScreen();  
    } else if (document.webkitCancelFullScreen) {  
      document.webkitCancelFullScreen();  
    } else if (document.msCancelFullScreen) {  
      document.msCancelFullScreen();  
    } 
}

/** slide show **/

function createSlideshow(containerSelector, rowSelector, itemsSelector, itemSizerSelector) {
	var AUTO_NEXT_TIME = 7000;
	var currentIndex = 0;
	var intervalId = null;

	var container = $(containerSelector);
	//Si la couche row n'existe pas, il faudrait la créer en JS
	var row = container.find(rowSelector);
	row.css({width : 99999});

	container.mouseenter(function() {
		schedule(false);
	});
	container.mouseleave(function() {
		schedule(true);
	});
	schedule(true);

	function schedule(set) {
		if (intervalId != null) {
			clearInterval(intervalId);
			intervalId = null;
		}
		if(set) {
			intervalId = setInterval(next, AUTO_NEXT_TIME);
		}
	}

	function next() {
		currentIndex++;
		var backup = currentIndex;
		update();
		return backup == currentIndex;
	}
	function previous() {
		currentIndex--;
		var backup = currentIndex;
		update();
		return backup == currentIndex;
	}
	function update() {
		var maxIndex = computeMaxIndex();
		if (currentIndex > maxIndex) {
			currentIndex = maxIndex;
		}
		if (currentIndex < 0) {
			currentIndex = 0;
		}
		var x = 0;
		var items = row.find(itemsSelector);
		items.each(function(i) {
			if (i < currentIndex) {
				x += $(this).find(itemSizerSelector).outerWidth(true);
			}
		});
		row.css({marginLeft: -x});
		return currentIndex;
	}
	function computeMaxIndex() {
		var items = row.find(itemsSelector);
		var viewPortWidth = container.innerWidth();
		var maxIndex = null;
		items.each(function(i) {
			var remainingWidth = 0;
			items.each(function(j) {
				if (j >= i) {
					remainingWidth += $(this).find(itemSizerSelector).outerWidth(true);
				}
			});
			if (maxIndex == null && (remainingWidth <= viewPortWidth)) {
				maxIndex = i;
			}
		});
		if (maxIndex == null) {
			maxIndex = items.length - 1;
		}
		return maxIndex;
	}
	return {
		next : next,
		previous : previous,
	}
}

function stayOnTop() {
	if ($('.stay_on_top').length > 0) {
	    var sticky_navigation_offset_top = $('.stay_on_top').offset().top;
	    var sticky_navigation = function(){
	        var scroll_top = $(window).scrollTop();
	        if (scroll_top > sticky_navigation_offset_top) {
	            $('.stay_on_top').css({ 'width': $('.stay_on_top').outerWidth()+'px'});
	            $('.stay_on_top').addClass("top_fixed");
	        } else {	        		        	
	            $('.stay_on_top').css({ 'width': $('.stay_on_top').data("width") });
	            $('.stay_on_top').removeClass("top_fixed");
	        }   
	    };
	    sticky_navigation();
	    $(window).scroll(function() {
	         sticky_navigation();
	    });
	}
};

jQuery(window).load(function() {
	stayOnTop();
});

/** counter **/
(function ($) {
	$.fn.countTo = function (options) {
		options = options || {};
		
		return $(this).each(function () {
			// set options for current element
			var settings = $.extend({}, $.fn.countTo.defaults, {
				from:            $(this).data('from'),
				to:              $(this).data('to'),
				speed:           $(this).data('speed'),
				refreshInterval: $(this).data('refresh-interval'),
				decimals:        $(this).data('decimals')
			}, options);
			
			// how many times to update the value, and how much to increment the value on each update
			var loops = Math.ceil(settings.speed / settings.refreshInterval),
				increment = (settings.to - settings.from) / loops;
			
			// references & variables that will change with each update
			var self = this,
				$self = $(this),
				loopCount = 0,
				value = settings.from,
				data = $self.data('countTo') || {};
			
			$self.data('countTo', data);
			
			// if an existing interval can be found, clear it first
			if (data.interval) {
				clearInterval(data.interval);
			}
			data.interval = setInterval(updateTimer, settings.refreshInterval);
			
			// initialize the element with the starting value
			render(value);
			
			function updateTimer() {
				value += increment;
				loopCount++;
				
				render(value);
				
				if (typeof(settings.onUpdate) == 'function') {
					settings.onUpdate.call(self, value);
				}
				
				if (loopCount >= loops) {
					// remove the interval
					$self.removeData('countTo');
					clearInterval(data.interval);
					value = settings.to;
					
					if (typeof(settings.onComplete) == 'function') {
						settings.onComplete.call(self, value);
					}
				}
			}
			
			function render(value) {
				var formattedValue = settings.formatter.call(self, value, settings);
				$self.html(formattedValue);
			}
		});
	};
	
	$.fn.countTo.defaults = {
		from: 0,               // the number the element should start at
		to: 0,                 // the number the element should end at
		speed: 1000,           // how long it should take to count between the target numbers
		refreshInterval: 100,  // how often the element should be updated
		decimals: 0,           // the number of decimal places to show
		formatter: formatter,  // handler for formatting the value before rendering
		onUpdate: null,        // callback method for every time the element is updated
		onComplete: null       // callback method for when the element finishes updating
	};
	
	function formatter(value, settings) {
		return value.toFixed(settings.decimals);
	}
}(jQuery));

jQuery(function ($) {
  // start all the timers
  $('.count-number').each(count);  
  
  function count(options) {
	var $this = $(this);
	options = $.extend({}, options || {}, $this.data('countToOptions') || {});
	$this.countTo(options);
  }
});