<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"
%><%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"
%>
<c:set var="imageAlt" value="${not empty label?cleanLabel:cleanDescription}" />
<c:if test="${not empty file && not empty file.htmlTitle || not empty file.htmlDescription}">
	<c:if test="${not empty file.htmlTitle && not empty file.htmlDescription}">
		<c:set var="imageAlt" value="${file.htmlTitle} : ${file.htmlDescription}" />
	</c:if>
	<c:if test="${empty file.htmlTitle || empty file.htmlDescription}">
		<c:set var="imageAlt" value="${file.htmlTitle}${file.htmlDescription}" />
	</c:if>
</c:if>

<c:set var="imageStyle" value="" /><c:if test="${not empty componentWidth}"><c:set var="imageStyle" value=" style=\"width: ${componentWidth}\""/></c:if><div ${previewAttributes}>
<c:choose>
<c:when test="${link eq '#' || info.device.code == 'pdf'}">
<figure class="${type}">
<span class="nolink">
<img class="img-responsive" src="${previewURL}" alt="${imageAlt}"${imageStyle} />
<c:if test="${not empty param.headerCaption && info.device.code != 'pdf'}">
	<div class="caption carousel-caption">
		<h2>${info.title}</h2>
		<c:set var="description" value="${info.pageDescription}" />			
		<c:if test="${not empty description}"><p>${description}</p></c:if>
	</div>
	<c:if test="${contentContext.asViewMode}">
		<style>
			h1 {
				border: 0;
    			clip: rect(0 0 0 0);
    			height: 1px;
    			margin: -1px;
    			overflow: hidden;
    			padding: 0;
    			position: absolute;
    			width: 1px;
			}
			.description {
				display: none;
			}
		</style>
	</c:if>	
</c:if>
<c:if test="${empty param.nolabel}"><figcaption>${not empty label?label:description}</figcaption></c:if>
</span>
</figure>
</c:when>
<c:otherwise>
<c:if test="${not empty link}"><c:set var="url" value="${link}" /></c:if>
<c:set var="imgCaption" value="" />
<c:if test="${not empty cleanLabel}">
	<c:set var="imgCaption" value="data-caption=\"${cleanLabel}\" " />
</c:if>
<a id="lnk${file.id}" class="${type}" href="${url}" ${titleAttr} ${param.btmodal && empty link?modalAttribute:relAttribute}${info.openExternalLinkAsPopup && (fn:startsWith(url,'http://') || fn:startsWith(url,'https://') || fn:startsWith(url,'//'))?' target="_blank"':''}>
<figure>
<c:set var="rel" value="${fn:startsWith(url,'http://')?'external':'shadowbox'}" />
<c:set var="rel" value="${fn:endsWith(url,'.pdf')?'pdf':rel}" />
<c:set var="modalAttribute" value='data-toggle="modal" data-target="#md${file.id}"' /><c:set var="relAttribute" value='rel="${rel}"' />
<c:set var="titleAttr" value="" />
<c:if test="${empty linkToImage}">
<c:set var="enlargeImage" value="${i18n.view['global.enlargeimage']}" />
<c:set var="titleAttr" value='title="${enlargeImage}"' />
</c:if>
	<c:set var="imageWidthTag" value='width="${imageWidth}" ' />
	<img class="img-responsive" ${not empty imageWidth && filter!='raw'?imageWidthTag:''}src="${previewURL}" ${not empty imgCaption?imgCaption:''}alt="${imageAlt} - ${linkToImage?i18n.view['global.enlargeimage']:i18n.view['global.open-link']}"${imageStyle} />
	<c:if test="${not empty param.headerCaption}">
		<div class="caption carousel-caption">
			<h2>${info.pageTitle}</h2>
			<c:set var="description" value="${info.pageDescription}" />			
			<c:if test="${not empty description}"><p>${description}</p></c:if>
		</div>
		<c:if test="${contentContext.asViewMode}">
			<style>
				h1 {
					display: none;
				}
				.description {
					display: none;
				}
			</style>
		</c:if>
	</c:if>
<c:if test="${empty param.nolabel}">
<c:set var="copyrightHTML" value="" />
<c:if test="${not empty copyright}"><c:set var="copyrightHTML" value='<span class="copyright">${copyright}</span>' /></c:if>
<c:if test="${not empty copyright || not empty label || not empty description}"><figcaption>${not empty label?label:description}${copyrightHTML}</figcaption></c:if>
</c:if>
</figure>
</a>
</c:otherwise>
</c:choose>
</div>

<c:if test="${param.btmodal}">
<jsp:include page="modal.jsp" />
</c:if>

<c:if test="${param.btmodal && empty link && contentContext.device.code != 'pdf'}">
<script type="text/javascript">
    $('#lnk${file.id}').attr('href','');
    $('#lnk${file.id}').attr('onclick','return false;');
    $('.modal').on('shown.bs.modal', function () {
		var modal = $(this);
		var image = modal.find('img');
		if (image.data('src') != null && image.data('src').length > 0) {
			image.attr('src', image.data('src'));
			image.data('src','');
		}
		image.css('width','auto');
		var modalTop=65;
		image.css('max-height', $(window).height()-modal.find('.caption').outerHeight()-modal.find('.modal-header').outerHeight()-modalTop-50-15);		
	});
	$(window).keydown(function (e){
	    var key = e.keyCode;
	    if (key == 39 || key == 34) {
	    	$('.modal.in .btn-next').click();
	    } else if (key == 37 || key == 33) {
	    	$('.modal.in .btn-previous').click();
	    } else if (key == 27) {
	    	$('.modal.in .btn-close').click();
	    }
	});
</script>
</c:if>