<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"
%><%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"
%><%@ taglib uri="/WEB-INF/javlo.tld" prefix="jv"
%><c:if test="${empty param.resourceId}"><div class="multimedia smallblocs">
<c:set var="blocSize" value="1" />
<c:if test="${not empty param.blocSize}">
<c:set var="blocSize" value="${param.blocSize}" />
</c:if>
<c:set var="colSize" value="${blocSize}" />  
<c:set var="rowSize" value="${blocSize}" />
<div class="row">
<c:set var="size" value="${fn:length(resources)}" />
<c:forEach var="resource" items="${resources}" varStatus="status">	
	<c:url var="resourceURL" value="${resource.URL}" context="/"></c:url>
	<c:if test="${not empty param.noshadow}">
		<c:url var="resourceURL" value="${info.currentURL}">
			<c:param name="resourceId" value="${resource.id}" />
		</c:url>
	</c:if>
	<c:set var="resourceDescription" value="" />
	<c:if test="${not empty resource.title}">
		<c:set var="resourceDescription" value="${resource.title}" />
		<c:if test="${not empty resource.location}">
			<c:set var="resourceDescription" value="${resourceDescription} - ${resource.location}" />
		</c:if>
		<c:if test="${not empty resource.shortDate}">
			<c:set var="resourceDescription" value="${resourceDescription} - ${resource.shortDate}" />
		</c:if>
	</c:if>

	<c:set var="display" value="false" />
	<c:if test="${status.index >= (pagination.page-1)*pagination.pageSize || pagination.pageSize == 0}">
		<c:if test="${status.index < (pagination.page)*pagination.pageSize || pagination.pageSize == 0}">
			<c:set var="display" value="true" />
		</c:if>
	</c:if>
	
	<c:set var="modalAttribute" value='data-toggle="modal" data-target="#md${resource.id}"' />	 		
	<c:set var="relAttribute" value='rel="${resource.relation}"' />
	
	<c:if test="${!display}">
	<div class="item hidden ${not empty param.btmodal?'preview-bt':'preview'}">
		<a href="${resourceURL}" id="lnk${resource.id}" title="${resourceDescription}" ${not empty param.btmodal?modalAttribute:relAttribute}>${i18n.view['global.download']}</a>
	</div>	
	</c:if>
	
	<c:if test="${display}">
	<div class="item col-md-${colSize} col-xs-${colSize<3?colSize*2:6}">
	<div class="${not empty param.btmodal?'preview-bt':'preview'}">	
	<a class="thumbnail" id="lnk${resource.id}" href="${resourceURL}" title="${i18n.view['global.enlargeimage']}" ${not empty param.btmodal?modalAttribute:relAttribute}>	
	<c:set var="filter" value="bloc-${colSize}-${rowSize}" />
	<jv:changeFilter var="newURL" url="${resource.URL}" filter="list" newFilter="width-${colSize}" />
	<div class="wrapper"><img class="img-responsive" src="${newURL}" alt="${resource.title}" /></div>
	</a>	
	</div>
	</div>
	</c:if>
	<c:if test="${not empty param.btmodal}">
	   <script type="text/javascript">
	      $('#lnk${resource.id}').attr('href','');
	      $('#lnk${resource.id}').attr('onclick','return false;');
	   </script>
	   <c:set var="resource" value="${resource}" scope="request" />
	   <jsp:include page="modal.jsp" />
	</c:if>
</c:forEach>

</div>
</div>
<jsp:include page="../../pagination.jsp"></jsp:include></c:if>
<c:if test="${not empty param.resourceId}"><jsp:include page="view.jsp" /></c:if>

<c:if test="${not empty param.btmodal}">
<script type="text/javascript">

	var prvBtn = null;
	$(".btn-next").each(function() {
		var btn = $(this);
		if (prvBtn != null) {
			prvBtn.removeClass('disabled');
			prvBtn.data('targetBtn',btn.data('lnk'));
			prvBtn.click(function() {				
				$('.modal').each(function() {
					var modal = $(this);
					modal.modal('hide');				
				});				
				$('#'+$(this).data('targetBtn')).click();				
			});
		}
		prvBtn = btn;
	});
	
	$(".btn-close").click(function() {
		cancelFullScreen();
		return true;
	});
	
	prvBtn = null;
	$(".btn-previous").each(function() {
		var btn = $(this);
		if (prvBtn != null) {
			btn.removeClass('disabled');
			btn.data('targetBtn',prvBtn.data('lnk'));
			btn.click(function() {
				$('.modal').each(function() {
					var modal = $(this);
					modal.modal('hide');					
				});				
				$('#'+$(this).data('targetBtn')).click();				
			});
		}
		prvBtn = btn;
	});
	$(".btn-small").on('click', function() {		
		$(".modal-full").addClass('modal-lg');
		$(".modal-full").removeClass('modal-full');
		cancelFullScreen();
		modalImageHeight();
		return false;
	});
	$(".btn-full").on('click', function() {
		$(".modal-lg").addClass('modal-full');
		$(".modal-lg").removeClass('modal-lg');
		askFullscreen();
		modalImageHeight();		
		return false;
	});
	$(".btn-play").on('click', function() {
		$('body').addClass('modal-play');		
		return false;
	});
	$(".btn-pause").on('click', function() {
		$('body').removeClass('modal-play');		
		return false;
	});
	
	$('.modal').on('shown.bs.modal', function () {		 
		var modal = $(this);
		var isNext = false;
		modal.parent().find('.modal').each(function() {
			if (isNext) {
				var image = $(this).find('img');
				if (image.data('src') != null && image.data('src').length > 0) {
					image.attr('src', image.data('src'));
					image.data('src','')
				}
				isNext = false;
			}
			if ($(this).attr('id') == modal.attr('id')) {
				isNext = true;
			}		
		});
		var image = modal.find('img');
		if (image.data('src') != null && image.data('src').length > 0) {
			image.attr('src', image.data('src'));
			image.data('src','')
		}
		if (image.css('max-height') == 'none') {			
			image.css('width','auto');
			var modalTop=65;
			
			image.css('max-height', $(window).height()-modal.find('.caption').outerHeight()-modal.find('.modal-header').outerHeight()-modalTop-75-15);
			image.parent().css('height', "auto");
		}
	});
	
	$(window).keydown(function (e){
	    var key = e.keyCode;
	    if (key == 39 || key == 34) {
	    	$('.modal.in .btn-next').click();
	    } else if (key == 37 || key == 33) {
	    	$('.modal.in .btn-previous').click();
	    } else if (key == 27) {
	    	$('.modal.in .btn-close').click();
	    }
	});		
	setInterval(function(){if ($('body').hasClass('modal-play')) {$('.modal.in .btn-next').click();}},10000);		
</script>
</c:if>
